System freezes (possibly Gecko)

Bug #107093 reported by Cesare Tirabassi on 2007-04-16
38
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
High
firefox (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: firefox
System freezes (possibly Gecko)
I experience this bug since at least Herd 5.
At one moment in time it was quite rare, now it is consistently appearing, sometime even after few seconds.
Firefox -safe-mode doesn't change anything.
Other Gecko based browsers (Epiphany, Galeon) are affected.
Non Gecko based (Dillo) works fine.

95% of the time the freeze is not "hard" (mouse cursor moving, alt-sys keys recognised). The remaining 5% can only be recovered by hard power down.

The freeze seems to be site dependant (launchpad being one of the worst), but so far I was unable to correlate it to any particular event. I have experienced freezes without any user interaction or network activity.

Any other networks apps I tried did not show any similar problem.

Cesare Tirabassi (norsetto) wrote :

Binary package hint: firefox

I experience this bug since at least Herd 5.
At one moment in time it was quite rare, now it is consistently appearing, sometime even after few seconds.
Firefox -safe-mode doesn't change anything.
Other Gecko based browsers (Epiphany, Galeon) are affected.
Non Gecko based (Dillo) works fine.

95% of the time the freeze is not "hard" (mouse cursor moving, alt-sys keys recognised). The remaining 5% can only be recovered by hard power down.

The freeze seems to be site dependant (launchpad being one of the worst), but so far I was unable to correlate it to any particular event. I have experienced freezes without any user interaction or network activity.

Any other networks apps I tried did not show any similar problem.

Thank you for the bug report.

Could you please try to obtain a backtrace by following the instructions on
[1], or upload the crash report that probably was generated during the crash
and that should be located at /var/crash/ to [2]. Also, Indicate which
extensions/plugins do you have enabled, and please if this crash is
reproducible describe the steps that lead to it. This will greatly aid us in
tracking down your problem.

Thanks in advance

[1] https://wiki.ubuntu.com/MozillaTeam/Bugs
[2] https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/107093/+addcomment

description: updated
Changed in firefox:
assignee: nobody → mozilla-bugs
importance: Undecided → High
status: Unconfirmed → Needs Info
Changed in firefox:
status: Unknown → Unconfirmed

Hola Hilario,

my apologies; I have included this info upstream and forgot to mention it here:

The firefox profile is the standard one, I have not added any extension, plug-in or theme.

As I mentioned the problem is a freeze, not a crash: no exceptions are raised, no signals exchanged, no core dump.

The freeze is random and not reproducible; some sites (notably launchpad) lead to more frequent freezes. Most of the freezes are during a "download", but not always.

Anything you can suggest to obtain more info? Perhaps some breakpoint/catchpoint/watchpoint/tracepoint I can set in gdb to try to collect some useful data?

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.4pre) Gecko/20070331 BonEcho/2.0.0.4pre
The mentioned page loads very quickly here. See http://kb.mozillazine.org/Firefox_hangs for possible solutions.

Hello Ria, thanks for helping.
I went indeed through the page you mentioned before posting this bug.
Unfortunately, I could not find anything of help.

I don't think it is relevant, but for completeness I should mention that Java is disabled and Javascript is enabled only to move or resize windows.

Cesare Tirabassi (norsetto) wrote :

After this morning (17/4/07) update the problem (at least temporarily) disappeared. I'm using Firefox ever since and not had a single freeze (had a couple just before the update).
Does this make any sense to you!?

Cesare Tirabassi (norsetto) wrote :

Oh well, just had 2 consecutive ones.
BTW, I don know why you changed the title of this bug. It is not a crash, but a system freeze.

Cesare Tirabassi (norsetto) wrote :

Could this actually be linked to cache cleaning?
Any idea how I could check this?

Could this actually be related to chache cleaning?
I could check it by adding a couple of breakpoints or similar to appropriate locations (for instance start and end of the cleaning routines). Any idea where I could look for it?

Cesare, please provide the info that Hilario requested.

Cesare Tirabassi (norsetto) wrote :

Alexander,

Please read my post #2:

https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/107093/comments/2

It is written 3 times in this bug report: this is not a crash, it is a freeze/lock up.
The original title was "System freezes (possibly Gecko)", which was changed, incorrectly, to firefox crashed.
There is no crash report, No exceptions are raised, no signals exchanged, no core dump.
The debug trace doesn't show anything of relevance.
I've removed firefox and all associated configuration files and reinstalled anew. No change.
I've tried using strace to pinpoint a particular system call with no results.
It is a standard firefox install: no plug-ins, no extensions, no java, javascript only remove or resize windows.
The lock-up only happens in Gecko based browsers (firefox, galeon, epiphany). I'm using Konqueror since a week (I'm on Gnome btw), its the only way I can access launchpad without having to restart my computer every 5 minutes.

I can only guess that this is due to a background process, but I had no luck relating it with cache cleaning.

If you or somenbody else can suggest some suitable breakpoint I can try to debug it further.

Alexander Sack (asac) wrote :

OK,

changed title and tag:

we need a tester who can reproduce this.

Cesare Tirabassi (norsetto) wrote :

I tried strace and this time was lucky to catch something.
Before the lockup I have this:

     0.917363 read(3, 0x7fff708d7740, 32) = -1 EAGAIN (Resource temporarily unavailable)
     0.000031 poll( <unfinished ...>

almost 1 sec for a read call which fails ... hmmmmmm
file 3 is a socket which was previously open and connected with:

     0.000128 socket(PF_FILE, SOCK_STREAM, 0) = 3
     .
     .
     .
     0.000130 connect(3, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 19) = 0

Any of this makes any sense to you?

Some additional info.
I tried some debugging with strace and this is what I've got.

Just before the lockup I have this:
0.917363 read(3, 0x7fff708d7740, 32) = -1 EAGAIN (Resource temporarily unavailable)
0.000031 poll( <unfinished ...>

almost 1 sec for a read call which fails ... hmmmmmm
file 3 is a socket which was previously open and connected with:

0.000128 socket(PF_FILE, SOCK_STREAM, 0) = 3
.
.
.
0.000130 connect(3, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 19) = 0

I guess this is the X server.
I think this is confirming that this is related to Gecko?
I'm not saying that this is IN Gecko itself, could also be the X server or the graphic driver.
I'm using Konqueror since a week and never had any problem ... still, I would like to go back to firefox!

On Wed, Apr 25, 2007 at 08:52:02AM -0000, Cesare Tirabassi wrote:
> I tried strace and this time was lucky to catch something.
> Before the lockup I have this:
>
> 0.917363 read(3, 0x7fff708d7740, 32) = -1 EAGAIN (Resource temporarily unavailable)
> 0.000031 poll( <unfinished ...>
>
> almost 1 sec for a read call which fails ... hmmmmmm
> file 3 is a socket which was previously open and connected with:
>
> 0.000128 socket(PF_FILE, SOCK_STREAM, 0) = 3
> .
> .
> .
> 0.000130 connect(3, {sa_family=AF_FILE, path="/tmp/.X11-unix/X0"}, 19) = 0
>
> Any of this makes any sense to you?
>

Yes, its EAGAIN, which is ok.

Please attach an

 # strace -f firefox

here ... but of course only if you can still freeze it.

Thanks,

 - Alexander

Cesare Tirabassi (norsetto) wrote :

Yeah, it took all of 10 seconds ... a lifetime ;-)

Alberto Moreno (albertomm) wrote :

Same problem here:

I can use the computer normally as long as I don't use Firefox or Epiphany. If I start one of them the system freezes in minutes (mouse stuck, keyboard lights unresponsive, no response to ping or ssh). Right now I'm using the firefox binary from getfirefox.com to see if is a problem with Feisty's version.

Alberto Moreno (albertomm) wrote :

Using firefox upstream binary don't solve the problem. The strange thing is that I have almost the same computer at work and it works without any problem.

Cesare Tirabassi (norsetto) wrote :

Interesting. Lets see if we have some hardware in common:

Linux desktop 2.6.20-15-lowlatency #2 SMP PREEMPT Sun Apr 15 06:20:10 UTC 2007 x86_64 GNU/Linux

The output of lspci -vnn is attached.

Alberto Moreno (albertomm) wrote :

Here is my lspci -vnn

Alberto Moreno (albertomm) wrote :

I think I may have done a step into the right direction:

I've turned off the "SpeedStep" and "Thermal throttling" options of the CPU in the BIOS and the computer has been working without hangs more than a week (and counting!). First I turned off hyperthreading as well but it seems that it wasn't the problem so I turned it on again because it make the computer slow. I have to check which one of these two options is the cause of the lockups (I will do it this week).

Maybe is a cpufreq bug? Any other test suggestions?

Cesare Tirabassi (norsetto) wrote :

So, you have an Intel cpu and are using the i386 or i686 kernel, right?
Mine is an AMD64.
I doubt that this is related to cpufreq, at least for me, I hope you found a solution however.
I also don't have any hang since a month, but thats because I'm not using firefox anymore :-)

Alberto Moreno (albertomm) wrote :

No, I'm using the generic kernel. The i686 from dapper worked fine.
It seems our bugs are different because my system crashed even with opera.

Daniel Matysiak (dmatysiak) wrote :

I seem to be having the same problem. as Cesare mentioned earlier, this behavior is not exclusive to firefox, but happens with a MUCH MUCH higher frequency when using it. My lspci output is attached. I will try using konqueror and perhaps check if I can disable speedstep and see if that changes anything.

Daniel Matysiak (dmatysiak) wrote :

So I turned off speedstep, and so far no crashes, but I will report if that changes. I also had to disable CPU frequency scaling under ubuntu (powernowd) because it was occuring anyway (?). /sys/ devices/system/cpu/cpu*/cpufreq/scaling_governor must be set to "performance".

Interestingly, my processor only goes to 900MHz under ubuntu now, even though this is an Intel Core 2 Duo 6600 (2.4GHz); setting the CPU frequency manually to 2400000 only got it to 900MHz...

Daniel Matysiak (dmatysiak) wrote :

So, I have experienced a complete freeze again, even with speedstep disabled in bios (and powernowd disabled in ubuntu - although some kind of stepping still seems to be happening as I mentioned earlier). The only think disabling steedstep (esp. powernowd) did was delay the crash by an hour or two. i also experienced mini freezes, which ultimately culminated in a total system freeze. It may be helpful for you to know that at first, the freeze began with firefox and gaim freezing. I was able to force kill them through gnome, but i could not restart them -- the cursor would just rotate as if the system were busy. The only application I could (and had time in trying to) start was emacs. The system froze completely soon afterward. Ctrl-Alt-Backspace only produces a screen full of garbage.

I am fairly confident this is not a hardware flaw, since Windows (specifically WinXP x64) ran perfectly well. It seems a lot of people at least superficially are having similar problems. Is anyone working to try to resolve this? It's very serious, and likely to lead me away from Ubuntu as my desktop's OS and try another distribution to see if it's a Linux issue or an Ubuntu issue.

I will try using just Konqueror (bleh) from now on to see if Firefox is the culprit. I had this same problem with Edgy which is when I got my new hardware (new system).

Cesare Tirabassi (norsetto) wrote :

No change with 2.6.20-16

Additional data as required in Ubuntu (output of strace -f -r firefox)

http://librarian.launchpad.net/7406560/firefox.log

Daniel Matysiak (dmatysiak) wrote :

My system still crashed when not using firefox, but was stable for much longer (a few days). Once I started using firefox again, I experienced a crash within a couple minutes of using it (specifically, when I tried bookmarking a page, although this isn't necessarily repeatable).

Julien Olivier (julo) wrote :

Hi,

I seem to have a very similar problem, but it mostly happens when using Nautilus (opening a folder, closing a folder...). I also had it a few times when opening some websites using Firefox.

Having had the same problem in - ahem - Mandriva 2007.1, FF 2.0.0.3 - with Firefox running, the system freezes quicker and quicker - I examined this and other reports and, just for kicks, cleared the FF cache (before FF had done its nasty), and set it to clear after every close of FF.

I haven't had a freeze since!

I THINK (though I have no documentary evidence to support this - only circumstantial) that the cache got corrupted when my over zealous son got impatient and killed FF while it was closing - THEN FF screwed up its own cache more and more as it went through the reboot, restart FF, freeze cycle. At the time of each freeze there was TONS of IO activity going on which turned out to be on the /home partition - evidence for THAT being that the /home partition was the one with lots of orphan inodes cleared at the restart.

Whatever it was, the cache clear seems to have done the trick - hope someone more tenacious can now find out why.

On Sun, Jul 01, 2007 at 08:45:32PM -0000, Martin Bartlett wrote:
>
> Whatever it was, the cache clear seems to have done the trick - hope
> someone more tenacious can now find out why.
>

you don't happen to have daily/weekly backups of your home so we might
be able to recover the broken cache to investigate?

 - Alexander

No - but I would be willing to deactivate the "on-close-cache-clear" and
try to recreate and THEN take a backup - that will need to wait until
later in the week, but I'll give it go.

Martin

Alexander Sack wrote:
> On Sun, Jul 01, 2007 at 08:45:32PM -0000, Martin Bartlett wrote:
>
>> Whatever it was, the cache clear seems to have done the trick - hope
>> someone more tenacious can now find out why.
>>
>>
>
> you don't happen to have daily/weekly backups of your home so we might
> be able to recover the broken cache to investigate?
>
> - Alexander
>
>

melanie (mexbeachbum) wrote :

I did a fresh feisty install a week or two ago after using Feisty and Firefox for about two months with no problems. Within the last couple of days, Firefox has crashed on me twice ie, system freezes and the only way to recover is alt-ctrl-backspace. My prefs are and always have been set to clear cache every time I log out of Firefox. Just FYI.

I think its a different problem - with the system freeze that I am referring to, and others I believe, ctrl-alt-backspace doesn't work either, and there is a wild amount of IO occurring on the hard drive (the /home partition in my case). The only solution is a reset-button reboot.

There are various reports of FF freezing itself and maybe the X server, but not the system, when the flash plugin is being used. I've not had that problem.

For other readers - still no system freeze after the cache-clear.

Martin

----Message d'origine----
>De: melanie <email address hidden>
>A: <email address hidden>
>Date: Tue, 03 Jul 2007 18:52:07 -0000
>Sujet: [Bug 107093] Re: System freezes (possibly Gecko)
>
>I did a fresh feisty install a week or two ago after using Feisty and
>Firefox for about two months with no problems. Within the last couple
>of days, Firefox has crashed on me twice ie, system freezes and the only
>way to recover is alt-ctrl-backspace. My prefs are and always have been
>set to clear cache every time I log out of Firefox. Just FYI.
>
>--
>System freezes (possibly Gecko)
>https://bugs.launchpad.net/bugs/107093
>You received this bug notification because you are a direct subscriber
>of the bug.
>

melanie (mexbeachbum) wrote :

Hi Martin - You are probably right about it being different problems. When I first read this bug report, it just sounded so similar to what I have been experiencing - my cpu starts going crazy, screen flickers or shakes and then the freeze comes. However, I realize now that since ctrl-alt-backspc does work to recover my system, it sounds like maybe we are experiencing different problems. Also, I am using Swiftfox when the problems occur whereas I had none with Firefox. Sorry to confuse the issues if different they may be. My terminology may also be way off since I am relatively new to all of this. Anyway, apologies and good luck to all of us!

Changed in firefox:
status: Incomplete → Confirmed
Cesare Tirabassi (norsetto) wrote :

Some new information about this:

Installing firefox in a new disk dedicated to gutsy, the problem disappears.
However, if I set my gutsy /home partition to my feisty /home partition (which is on another disk), the problem reappears.

Could this be hard disk related?

Some new information about this:

Installing firefox with a new distro in a new disk, the problem disappears.
However, if I set my /home partition for the new distro to my other /home partition (which is on another disk), the problem reappears.

Could this be hard disk related?

PS. the two distros are ubuntu gutsy (new) and ubuntu feisty (old)

Alexander Sack (asac) wrote :

if you can copy your .mozilla directory to your new home partition without getting the freeze, this is likely a hardware failure ... can you try?

Cesare Tirabassi (norsetto) wrote :

No freeze in about an hour, means it is gone (was getting freezes by the seconds).
So, I guess this was indeed caused by caching and that particular HD?
Or, could it be some other configuration file (gnome or xorg related)?

Here some info about HD in case anybody wants to know:

Model Family: Maxtor DiamondMax Plus D740X family
Device Model: MAXTOR 6L080L4
Serial Number: 664134116727
Firmware Version: A93.0500
User Capacity: 80,054,059,008 bytes
Device is: In smartctl database [for details use: -P show]
ATA Version is: 5
ATA Standard is: ATA/ATAPI-5 T13 1321D revision 1
Local Time is: Wed Aug 22 00:42:32 2007 CEST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

Cesare Tirabassi (norsetto) wrote :

And the IDE interface:

00:0f.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 06) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. A7V600/K8V-X/A8V Deluxe motherboard [1043:80ed]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32
        Interrupt: pin A routed to IRQ 20
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
        Region 4: I/O ports at fc00 [size=16]
        Capabilities: <access denied>

Cesare Tirabassi (norsetto) wrote :

Seems like I've been talking too early.
The freezing is back, altough not as bad as before.
It seemed to be happening a lot when using Javascript, so I disabled that and for a while was fine.
It doesn't seem to be related to cache clearing. After a freeze and reboot, I cleared the cache and a couple of minute later, again freeze.
I have to go back to Konqueror, but this time I will throw ubuntu in the bin and go with the whole Kubuntu. Not much sense in installing again Konqueror in Ubuntu.

Russ Smith (billingtiger) wrote :

I'm using the latest of everything - Ubuntu, Firefox, Flash. All on a 600MHz PIII (ASUS P3B-F motherboard) 1 GByte RAM, lots of disk space.

On visiting Flash-heavy sites such as http://www.engadget.com the system freezes up as described in this thread. Attempts to telnet in from another system are nonresponsive. A hard push-the-damn-button reset is necessary to get back. Though I've noticed this "feature" of this fairly new Ubuntu install I can't lay blame on Flash; for all I know visiting some other site or doing some other type of processing could bring on a crash as well; the install is too new and my use so far so limited (pretty much browsing ONLY at this point) that I don;t hav eother datapoints to supply.

On occasion, visiting YouTube will also simply crash Firefox (that is, the app simply exits abruptly). But YouTube, too, has caused total unrecoverable system freezes as well.

This is a fairly repeatable freeze, BTW - just visit Engadget and Poof! I think it is a 100% repeat but there is a small possibility it is not ALL the time - I fear Engadget now so don't overtly visit it anymore - only if someone has TinyURLed an Engadget page do I go there...and Poof!

[After posting this message just to confirm there are others out here with the same problem, I'll visit Engadget and, after that hard reset (...), post another message here on the result...gulp!]

Russ Smith (billingtiger) wrote :

Yup - just visited Engadget and the system locked up before the (fairly complex, apparently) page fully loaded. Telnet right afterwards was nonresponsive.

My Firefox session had three tabs open, one was a generic Yahoo page, one was Launchpad "Register" page (since I had to register to make these posts), one was THIS thread.

That's it - nothing else overtly running on this almost-virgin install of Ubuntu.

----------------------

One note - this machine is running a hardwired-IP wireless networking connection to a wireless router. The install of the driver for the wireless card (ancient Linksys wmp54g) was not, of course, straightforward as documented in numerous 'Net locations. Rather than use a GUI program to configure the card, etc, I had to hand-edit files in /etc, etc (...) to set channel number, WEP stuff, and so on.

I do not know if the system is TOTALLY locked up yet - it MAY simply be the network card driver, for all I know, that has broken due to something and is keeping other parts of the system from being responsive (like the GUI and incoming telnet). Something that's, say, really high priority caught in a wait loop (gack!) or something like that internal to the driver could exhibit this freeze-symptom, I guess (just throwing that thought out since I was somewhat dismayed at the amount of surfing and manual-stuff I had to do to get the wireless connectivity working; sufficiently so that I simply don't trust it as much as other parts of the system at this early point in time).

BTW - other than writing a little program that, oh, beeps the bell every couple seconds I'm not sure how to go about checking to see if this IS a total system freeze (log files stopping dead suggest it is - that may be enough "proof").

OlivierP (unineurone) wrote :

I have been experiencing for the last few weeks, complete system freezes at random times, on an up-to date GUTSY system.

Trying the engadget site, I have had a lockup after roughly a minute. This seems to be firefox/gecko related, as I can confirm that these hangs always occur when firefox is running.
However, FF does not need to be in the foreground for this to happen. I have had freezes/hangs when doing the following:
- scrolling a page using either a mouse wheel, the scrollbars & clicks, or my touchpad (this is a laptop)
- Opening a Firefox menu
- Having the mouse move over a background firefox window.

In all cases, the keyboard is totally unresponsive, even the laptop-specific Fn+ keys do not respond. ssh sessions are locked, new ssh connections cannot happen, and the box does not respond to a ping.
I have reprodiced this on both a wired/wireless network connection, with&without compiz enabled (only "normal" effects).

Unfortunately, there is no kernel stack trace whatsoever, or any trace of an error in any log file.

presi_4u (presi-4u) wrote :

my system is getting freeze at that time no operation can be done
please solve this problem
i am new to linux

presi_4u (presi-4u) wrote :

my system is getting freeze at that time no operation can be done
please solve this problem
i am new to linux and dont even know the commands and i dont know how to monitor the problem

bsimon (bsimon) wrote :

new Feisty install freezes, mostly when typing in firefox. Happened Once in Evolution. related? ideas?

Personal experience, confirmed by searches on nvnews.net, with nvidia's
driver:

You will get hard locks, at random (immediate to around 10minutes after
login) when:

- you have a multiples CPUs OR a dual core processor
- you use the nvidia-glx-new package (driver 100.14.11)
- This freeze occurs EVEN when not using compiz

As a workaround, until the long away time when nvidia helps fixing the bug:

- Revert to the 1.09755 NVIDIA drivers, which will need to be manually
installed (note: you will need to disable loading of the nvidia drivers
provided by restricted manager)
- Boot using maxcpus=1

2007/9/10, bsimon <email address hidden>:
>
> new Feisty install freezes, mostly when typing in firefox. Happened
> Once in Evolution. related? ideas?
>
> --
> System freezes (possibly Gecko)
> https://bugs.launchpad.net/bugs/107093
> You received this bug notification because you are a direct subscriber
> of the bug.
>

MStublefield (mstublefield) wrote :

I'm experiencing this bug only when attempting to resize text in Firefox using ctrl+mouse wheel. If I use ctrl++ or ctrl+-, I don't have a problem, but ctrl+mouse wheel locks up the system for a period of time and maxes out one of my CPUs. After a number of seconds or minutes, FF catches up and the text resizes. Attempting to revert text with ctrl+mouse wheel produces the same result (freezing up).

An excerpt from my strace is attached that pretty much sums up what I was seeing. The "gettimeofday" was the most regular expression that scrolled by, usually in blocks of 6-10 (was going too fast for me to count). I'd imagine that ETIMEDOUT and -1 EAGAIN are the relevant parts, but I'm not a coder...

steve senuick (ssenuick) wrote :

has this gotten any further? i'm experiencing something similar but it occurs when ktorrent is running. I have gdesklets, firefox , and a terminal always on it doesnt become unstable till ktorrent is running when my system freezes, again not a crash, it just becomes unresponsive to keyboard and mouse i have to restart. im not linux smart but i can figure out what to do to find more info if assisted. im running the latest of all programs from repos. thanks

steve senuick (ssenuick) wrote :

appears mine isnt a firefox problem but ktorrent tried to run ktorrent without firefox and system froze thanks and sorry

Alexander Sack (asac) wrote :

please test if you still see this in latest gutsy firefox.

Changed in firefox:
importance: High → Medium
status: Confirmed → Incomplete
Cesare Tirabassi (norsetto) wrote :

Yes, is as worst as ever.

Alexander Sack (asac) wrote :

does this happen with a fresh profile as well (move away your $HOME/.mozilla folder)

Cesare Tirabassi (norsetto) wrote :

It was ok for few weeks. Then I had to use it with a fresh profile, and immediately the freeze was back.
This time seems to be always hard, ie. I can only recovery by powering down. I can take straces, but, because of this, I always loose the last bit, which is the most interesting I guess.

Changed in firefox:
status: Incomplete → Confirmed
Narsul (narsul-the-elf) wrote :

I also have this problem. My solution is to install old nvidia drivers. This sound stupid, but it's a solution.

I used Envy (http://albertomilone.com/) to install old drivers (96.43.01). Now system works great. Now I turned on powernowd, compiz. Firefox also works great.

Lian (lian.hui.lui) wrote :

I have pretty much the same problem as mentioned above: happens very often with firefox, unrecoverable by Ctrl+Alt+Backspace, etc, and I use nVidia as well. (this is an Acer laptop). I used Envy to install the 96.43.01 drivers, as Narsul did (before, I just did automatic install using Envy). But sadly, I still get the freeze up whether cache cleaning on exit was turned on or off in FF. 10 minutes ago, I got a freeze up which I have never before. (the 2nd freeze up after installing the old nVidia drivers). I had FF running for a long time (about 4 hours) while I doing other things. Then I clicked on FF and my system froze, I couldn't click nor type anything, and Ctrl+Alt+Backspace did not work. The strange thing is that the conky system monitor on my desktop and the system monitor applet on my panel were still updating (unlike the ones I had before, where everything stopped. This time, they were running.) Weird, huh? Does this mean that my system was not really frozen? Was just non-responsive? Oh, and by the way, the cpu usage was totally normal during the freeze. I had to hold down the power button to turn it off and on again, after a minute of waiting.

I also have this other weird thing, I'm not sure if this is related, though. But after I get a freeze which later unfreezes, from that point on I get a kind of flicker on my screen once in a while. Like, a black screen for 1Hz out of the 60Hz my screen is running at. It's really hard to explain it in words, but I just see the screen flash, as if it actually blinked.

Here's a possible solution I've found to the freeze.
http://linuxtechie.wordpress.com/2007/10/15/annoying-freezes-caused-by-nvidia-driver/
Good luck to us all! :D

Russ Smith (billingtiger) wrote :

That fix worked for me - disable the powernowd and I can visit Engadget without freeze (see my original post here about this https://bugs.launchpad.net/firefox/+bug/107093/comments/37 ). This is delightful.

svaens (svaens) wrote :

While it almost looked like everyone was satisfied with the last comment (no offense intended), I am not.
I have a toshiba Satellite notebook, cpu 1.7 Ghz, 1Gig RAM, and yes, more significantly a nVidia GeForce4 420 Go.
When I visit youtube, (and tested this so far with firefox and epiphany) or amazon's 'look inside this book', My computer freezes.

I am running Ubuntu 7.10 'gutsy'.

I tried the disable the powernowd solution, and my results were interesting, if not a solution. Perhaps this helps someone.

Normally (without powernowd disabled) visiting this site results in the following symptoms:
1. cpu rises
2. my mouse starts to slowly stutter ALMOST to a halt (eventually, when the process is complete, I can
   move my mouse around very slowly and with 2 second delay or so, but no mouse buttons work, or at least, no window receives my clicks)
3. ctrl-alt-f1 does not work, ctrl-alt-delete does not work. Nothing works.... only way to get back to a useful ubuntu is to hold my notebook power button down 3 seconds and reboot.

Powernowd disabled
1. cpu rises
2. mouse stutters, but not to a halt. .... still able to do things... but not much
3. ctrl-alt-f1 provokes a change of display to black screen, but no prompt is visible. I am thereafter unable to get back to the GUI.

I have not yet tried using an older version of the nVidia driver, but i'll try that next. I'll post my results.

svaens.

svaens (svaens) wrote :

ok. I tried Narsul's advice, and used Envy to install version 96.43.01 nvidia drivers.

this did not work for me. You tube froze my machine just as fast as usual.
Version 1.09755 was not offered for manual install by envy.

I am curious. If a browser like Konquorer doesn't produce this problem (I haven't tested this yet myself),
then is it really a nVidia problem? Sounds more like a gecko problem to me still....
I was hoping Firefox 3 would bring this fix, until I read this website...... now I am not so hopeful.

Lian (lian.hui.lui) wrote :

Hi svaens. Sorry these fixes are working for you.

Right now, everything works fine for me. I don't need to disable powernowd anymore. Scrolling long pages doesn't freeze my system anymore, and youtube works just fine. I didn't try any other fix. I'm using the nvidia 100.14.23 installed by envy. I don't know where's the connection, but after I installed firefox-3.0, I think the normal firefox stopped freezing up! Try that, svaens. If that doesn't work, maybe you'll need to install the flash plugin that works. I did a lot of installing and uninstalling the flash plugin when I was trying to get konqueror to play youtube vids. Now, it plays, but the control buttons are misplaced. Firefox works fine, both 2.x and 3.0 beta.

Lian (lian.hui.lui) wrote :

Svaens, instead of holding down the power button when your system freezes, try this alternative: Alt+SysRq+"R-E-I-S-U-B".

What you do is you hold down the Alt and SysRq (PrtSc) keys, then type "reisub", pausing a few seconds after each key (since each key does one thing, e.g. 'b' will reboot the system).
Ref: http://lifehacker.com/software/linux-tip/gently-restart-a-frozen-system-298891.php
For more info: http://en.wikipedia.org/wiki/Magic_SysRq_key

svaens (svaens) wrote :

Hi guys,

My problem is fixed by installing the latest Adobe Flash plugin.
I can now use youtube without my whole machine freezing.
turns out (and now i remember doing it) that I installed gnash.
This was probably an idealistic thing to do.
And after chasing down my problem with googlemaps street view feature,
I had to install the latest flash.... and it turns out that this fixed my freeze problem.

Mind you.... I still wonder what happened to that linux (all those years ago) which wouldn't ever totally freeze on you... and where you always were able to get to the console, even if some nasty plugin or software was going crazy.
This really should be two bugs.. ...
gnash, and gnome? or is it the linux kernel? I don't know enough about it all.
Why couldn't I escape to console when my browser was causing problems?
Anyway..... I leave you with that. My problem is fixed now.

Kind Regards All,

Svaens

Giuliastro (gyesspam) wrote :

I can confirm this is a Flash Plugin issue, this is the result of debugging Firefox when it freezes.

I can also confirm that installing latest Adobe Flash Plugin doesn't solve the problem. At least for me.

Removing flash solves the problem but .. no flash no party. :(

@Giuliastro

by latest you mean, Adobe Flash, version 9,

with gnash uninstalled?

Check this with the online adobe version checker...
http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_15507

Does firefox freeze? Or your whole Desktop?
Are you able to escape to prompt? Or kill Firefox?

Hi,

I'm with the same problem. I'm using Ubuntu Hardy, fully updated, in my notebook, Lenovo Thinkpad R61. The only thing who freezes is the Mozilla Firefox, and I need to restart him to come back to normal again. I think this is a problem with JavaScript and Mozilla because this happen when I'm seeing sites with it.

I'm using: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008041514 Firefox/3.0b5

Bye.

Lian (lian.hui.lui) wrote :

Davi, what vga do you have and what driver? And also, what websites make Firefox freeze?

svaens (svaens) wrote :

Also, have you got FLASH installed for use with firefox? Or are you using
gnash (the free alternative)?

lian1238,

My VGA is a Intel GM965/GL960 (extracted from "lspci") and I don't know how driver I'm using, because my Xorg haven't any specification. Always when I'm using GMail this happens.

svaens,

I'm using the Flash Player from Adobe (the non-free version), not the GNU version (gnash).

Thanks.

Lian (lian.hui.lui) wrote :

Davi Vercillo C. Garcia,

Your problem is a little different from most others here (scrolling long pages and flash caused the freeze). In your case, Javascript (?) and always happens with GMail. Since I don't see any flash in GMail, I doubt it's flash-related. At first, I thought it could be the beta version of Firefox 3, but I tried GMail with mine (beta 4) and it works perfectly. Even YahooMail works now, (before it complained about my version).

You might want to try using Firefox 2 or another browser, maybe Opera, and see if you still have the freeze.

lian1238,

I'm using Opera and it doesn't happen anymore. About my problems, it's happening when I scroll long pages and use flash, like Youtube. When I'm seeing a long thread in GMail, I need to scroll long pages and so it happens again.

Thanks.

svaens (svaens) wrote :

I am still using firefox 2, and I must say, that with gmail, it is almost
intolerably slow.
To click the link for this auto generated email, I have to wait at least 7
seconds before I am able to get the cursor in the edit box and type. Also,
with the long threads... sometimes, scrolling these will actually cause such
disruption in my computers processing that playing mp3's (rhythmbox) will
pause for a few seconds before resuming once firefox has recovered.
As of today, I still haven't tested firefox 3 b5 on anything but ubuntu
hardy LIVE, and so it wasn't a fair test run (as it was running from CD). I
will give futher progress reports when I finally install firefox3 (I am
tossing up whether or not to replace the small 30gig harddrive first).

Lian (lian.hui.lui) wrote :

Davi Vercillo C. Garcia

If Flash works in Opera (e.g. Youtube), then I guess you could use that instead. If Flash doesn't work and/or you want to use firefox, I guess we can try to find a fix.

First, what version is your flash plugin in firefox?
Type in "about:plugins" (no quotes) into the address bar and see what's under Shockwave Flash.
For example, mine is like this:
Shockwave Flash
    File name: libflashplayer.so
    Shockwave Flash 9.0 r124

Second, you could try turning compiz off. This will turn off all the eye-candy, though.
To turn it off, replace it with metacity. Run (Alt+F2) "metacity --replace" (no quotes).
To turn it on, Run "compiz".

Metacity is more light-weight than compiz. I use it when watching movies or when I need more performance.
If Firefox works well under metacity, then it may be vga-related since compiz is more GPU-hungry.

Cesare - Are you still experiencing this issue?

No, I'm not. Both Firefox 2 and Firefox 3 in Ubuntu hardy do not suffer from this issue. As far as I'm concerned you can close it.

Changed in firefox:
status: New → Invalid
Cesare Tirabassi (norsetto) wrote :

Problem disappeared with hardy/intrepid, either FF2 or 3

Changed in firefox:
assignee: mozilla-bugs → nobody
status: Confirmed → Invalid
Dylan McCall (dylanmccall) wrote :

I have taken to blaming Mozilla's browser rendering engine for my system's instability, as well. I have encountered Firefox eating input events, such that I cannot input anything anywhere until the browser stops hanging. Naturally, it also hangs frequently.

As a result, it consistently feels as if my system has become unusable. On a few instances it has, in fact, but I'll attribute that to running Intrepid (a beta release at the time of this writing).

Issue occurs with or without Flash, generally on Javascript-heavy web pages like gmail.

Since my last post, when i was still using firefox 2, and complaining about
its slowness and freezing, particularly using gmail and scrolling, things
have changed.

Problem is I don't know (didn't quite realize) when it had changed. But it
was most probably after an Ubuntu hardy update.
Even after having installed Hardy completely fresh, which came with firefox
3, I was having these issues. Now they are gone. The browser behaves itself
MOSTLY. And those remaining issues I have are related only to flash and
pulse-audio.

Dylan, I don't know if you have already done this, and if not, if you are in
a position to do so,
but I suggest a fresh install of Hardy. If you did an upgrade from gutsy,
then I am not surprised there are problems... i've not had much luck with
upgrades myself.
And if you are hell bent on running Intrepid....
hopefully the issue disappears once the bugs are ironed out of that.
But for me, i no longer have problems I can blame Mozilla for.
I am running Ubuntu Hardy, Fresh Install, fully updated to date, on an old
toshiba laptop (albeit with upgraded memory of 2gig).

Hope you solve your problem!

chitownmack (chitownmack) wrote :

I did a fresh install of Hardy but still have the system freeze problems with Firefox. Can someone give me their results when they rolled back their Nvidia drivers?

Thanks

Changed in firefox:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.